curl -X GET \
https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts \
-H 'Authorization: Bearer {{TOKEN}}'{
"success": true,
"pagination": {
"limit": 123,
"offset": 123,
"hasNext": true
},
"data": [
{
"id": "<string>",
"email": "[email protected]",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"source": {
"id": "<string>",
"integration": "<string>",
"lastSynced": "<string>"
},
"keyword": "<string>",
"doubleOptIn": {
"enabled": true,
"prompt": "<string>"
},
"filter": {
"q": "<string>",
"attributes": [
{
"attribute": "<string>",
"comparator": "<string>",
"value": [
"<string>"
]
}
],
"list": "<string>",
"valid": true,
"invalid": true,
"blocked": true,
"unblocked": true,
"optIn": true
},
"optInConfirmation": "<string>",
"optIn": "2023-11-07T05:31:56Z",
"optOut": "2023-11-07T05:31:56Z"
}
],
"attributes": {},
"optIn": "2023-11-07T05:31:56Z",
"blocked": "2023-11-07T05:31:56Z",
"activecampaign": {
"id": 123
},
"hubspot": {
"id": 123
},
"pipedrive": {
"id": 123
},
"valid": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
},
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "[email protected]",
"source": "<string>",
"subSource": "<string>"
}
},
"updated": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "[email protected]",
"source": "<string>",
"subSource": "<string>"
}
}
}
]
}curl -X GET \
https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/contacts \
-H 'Authorization: Bearer {{TOKEN}}'{
"success": true,
"pagination": {
"limit": 123,
"offset": 123,
"hasNext": true
},
"data": [
{
"id": "<string>",
"email": "[email protected]",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"source": {
"id": "<string>",
"integration": "<string>",
"lastSynced": "<string>"
},
"keyword": "<string>",
"doubleOptIn": {
"enabled": true,
"prompt": "<string>"
},
"filter": {
"q": "<string>",
"attributes": [
{
"attribute": "<string>",
"comparator": "<string>",
"value": [
"<string>"
]
}
],
"list": "<string>",
"valid": true,
"invalid": true,
"blocked": true,
"unblocked": true,
"optIn": true
},
"optInConfirmation": "<string>",
"optIn": "2023-11-07T05:31:56Z",
"optOut": "2023-11-07T05:31:56Z"
}
],
"attributes": {},
"optIn": "2023-11-07T05:31:56Z",
"blocked": "2023-11-07T05:31:56Z",
"activecampaign": {
"id": 123
},
"hubspot": {
"id": 123
},
"pipedrive": {
"id": 123
},
"valid": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
},
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "[email protected]",
"source": "<string>",
"subSource": "<string>"
}
},
"updated": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "[email protected]",
"source": "<string>",
"subSource": "<string>"
}
}
}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
Account to apply operations to
Results to skip when paginating through a result set
x >= 0Maximum number of results to return
1 <= x <= 100Filter by first name or part of
Filter by last name or part of
Filter by mobile or part of
Filter by email or part of
Filter by tag(s)
successful operation
Show child attributes
"Chris"
"Bloggs"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes